--Unique

CREATE TABLE CUSTOMER1 ( CUSTOMER_ID NUMBER UNIQUE, FIRST_NAME VARCHAR2(50), LAST_NAME VARCHAR2(50));

INSERT INTO CUSTOMER1 VALUES (NULL,'XXX','YYY');
INSERT INTO CUSTOMER1 VALUES (NULL,'XXX','YYY');

INSERT INTO CUSTOMER1 VALUES (NULL,'YYYY','YYY');
INSERT INTO CUSTOMER1 VALUES (111,'XXX','YYY');
INSERT INTO CUSTOMER1 VALUES (111, 'XXX', 'YYY'); --Voilated

SELECT * from Product

CREATE TABLE CUSTOMER2 ( CUSTOMER_ID NUMBER PRIMARY KEY ,product_id NUMBER REFERENCES PRODUCT(PRODUCT_ID), FIRST_NAME VARCHAR2(50), LAST_NAME VARCHAR2(50));


SELECT * from Product FOR UPDATE;

ALTER TABLE PRODUCT 
ADD CONSTRAINT con staint1 PRIMARY KEY(product_id);

INSERT INTO CUSTOMER2 VALUES (2213,NULL,'YYYY','YYY');
INSERT INTO CUSTOMER2 VALUES (22143,NULL,'YYYY','YYY');

INSERT INTO CUSTOMER1 VALUES (111,'XXX','YYY');
INSERT INTO CUSTOMER1 VALUES (111, 'XXX', 'YYY');
